AVR-NET-IO PlatformIO Arduino Bauumgebung.  (Getestet unter EndeavourOS (Arch Linux))
Verwendeter AVR: ATmega32,  
verwendete Bibliotheken:  
[MCUdude/MightyCore](https://github.com/MCUdude/MightyCore),  
[jandrassy/EthernetENC](https://github.com/JAndrassy/EthernetENC).  
Arduino Ethernet Shield kompatibler code, [verwendeter Beispielcode](https://github.com/arduino-libraries/Ethernet/blob/master/examples/WebServer/WebServer.ino).  


Nach dem Bau ist das ".hex" in folgendem Ordner zu finden:  
`.pio/build/avr_net_io/firmware.hex`

Automatischer Upload ist für usbasp kompatible programmer zum
AVR-Net-IO ISP connector eingestellt.



```
// https://forum.arduino.cc/t/burning-arduino-to-atmega32a/116318/16
// ATMEL ATMEGA32/32A
//
//                       +---\/---+
//           (D 0) PB0  1|        |40  PA0 (AI 0 / D24)
//           (D 1) PB1  2|        |39  PA1 (AI 1 / D25)
//      INT2 (D 2) PB2  3|        |38  PA2 (AI 2 / D26)
//       PWM (D 3) PB3  4|        |37  PA3 (AI 3 / D27)
//       /SS (D 4) PB4  5|        |36  PA4 (AI 4 / D28)
//      MOSI (D 5) PB5  6|        |35  PA5 (AI 5 / D29)
//     /MISO (D 6) PB6  7|        |34  PA6 (AI 6 / D30)
//      /SCK (D 7) PB7  8|        |33  PA7 (AI 7 / D31)
//                 RST  9|        |32  AREF
//                 VCC 10|        |31  GND
//                 GND 11|        |30  AVCC
//               XTAL2 12|        |29  PC7 (D 23)
//               XTAL1 13|        |28  PC6 (D 22)
//      RX0 (D 8)  PD0 14|        |27  PC5 (D 21) TDI
//      TX0 (D 9)  PD1 15|        |26  PC4 (D 20) TDO
// RX1/INT0 (D 10) PD2 16|        |25  PC3 (D 19) TMS
// TX1/INT1 (D 11) PD3 17|        |24  PC2 (D 18) TCK
//      PWM (D 12) PD4 18|        |23  PC1 (D 17) SDA
//      PWM (D 13) PD5 19|        |22  PC0 (D 16) SCL
//          (D 14) PD6 20|        |21  PD7 (D 15) PWM
//                       +--------+
// ~/.platformio/packages/framework-arduino-avr-mightycore/variants/standard/pins_arduino.h

// AVR-NET-IO Datasheet, schematic page 7
// https://www.neuhold-elektronik.at/datenblatt/N2485.pdf

// Arduino Support for ATmega32: MightyCore library  (no official arduino support)
// https://github.com/MCUdude/MightyCore/tree/master/avr/libraries

// ATmega32 Datasheet, register summary: page 327
// http://ww1.microchip.com/downloads/en/DeviceDoc/doc2503.pdf

// ENC28J60 Data Sheet
// http://ww1.microchip.com/downloads/en/devicedoc/39662c.pdf
```
